Author Topic: No Loader is installed, please try to run this command or contact support: sh /s  (Read 2754 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
Cant open web control panel site.com:2031/login/index.php

# sh /scripts/restart_cwpsrv
Stopping cwpsrv:                                           [  OK  ]
Starting cwpsrv:                                           [  OK  ]
Stopping cwpsrv-phpfpm:                                    [  OK  ]
Starting cwpsrv-phpfpm: Cannot load the ionCube PHP Loader - it was built with configuration API320151012,NTS, whereas running engine is API320170718,NTS
Cannot load the ionCube PHP Loader - it was built with configuration API320151012,NTS, whereas running engine is API320170718,NTS
                                                           [  OK  ]
Stopping cwp-phpfpm:                                       [  OK  ]
Starting cwp-phpfpm: Cannot load the ionCube PHP Loader - it was built with configuration API320151012,NTS, whereas running engine is API320170718,NTS
Cannot load the ionCube PHP Loader - it was built with configuration API320151012,NTS, whereas running engine is API320170718,NTS

sh /scripts/update_ioncube restart
Stopping cwpsrv:                                           [  OK  ]
Starting cwpsrv:                                           [  OK  ]
Stopping cwpsrv-phpfpm:                                    [  OK  ]
Starting cwpsrv-phpfpm: Cannot load the ionCube PHP Loader - it was built with configuration API320151012,NTS, whereas running engine is API320170718,NTS
Cannot load the ionCube PHP Loader - it was built with configuration API320151012,NTS, whereas running engine is API320170718,NTS
                                                           [  OK  ]
Stopping cwp-phpfpm:                                       [  OK  ]
Starting cwp-phpfpm: Cannot load the ionCube PHP Loader - it was built with configuration API320151012,NTS, whereas running engine is API320170718,NTS
Cannot load the ionCube PHP Loader - it was built with configuration API320151012,NTS, whereas running engine is API320170718,NTS

Offline
*
VPS & Dedicated server provider with included FREE Managed support for CWP.
http://www.studio4host.com/

*** Don't allow that your server or website is down, choose hosting provider with included expert managed support for your CWP.

Offline
*
same

/etc/cron.daily/cwp:

Cannot load the ionCube PHP Loader - it was built with configuration API320151012,NTS, whereas running engine is API320170718,NTS
Cannot load the ionCube PHP Loader - it was built with configuration API320151012,NTS, whereas running engine is API320170718,NTS
No Loader is installed, please try to run this command or contact support: sh /scripts/update_ioncube restartCannot load the ionCube PHP Loader - it was built with configuration API320151012,NTS, whereas running engine is API320170718,NTS
Cannot load the ionCube PHP Loader - it was built with configuration API320151012,NTS, whereas running engine is API320170718,NTS
No Loader is installed, please try to run this command or contact support: sh /scripts/update_ioncube restart
/etc/cron.daily/cwp_acme.sh:

Offline
***
Hello,

Test what is the cwp PHP version and if it is updated to 7.2

/usr/local/cwp/php71/bin/php -v
PHP 7.2.30

if PHP was not updated to 7.2 then try manually
yum update cwpphp --enablerepo=cwp

**Manual update CentOS 7 (ignore if you have CentOS 6)**
```
chattr -i -R /usr/local/cwpsrv/htdocs
cd /usr/local/cwpsrv/htdocs
wget static.cdn-cwp.com/files/cwp/el7/cwp-el7-0.9.8.961.zip
unzip -o -q cwp-el7-0.9.8.961.zip
rm -f cwp-el7-0.9.8.961.zip
```

**Manual update CentOS 6 (ignore if you have CentOS 7)**
```
chattr -i -R /usr/local/cwpsrv/htdocs
cd /usr/local/cwpsrv/htdocs
wget dl1.centos-webpanel.com/files/cwp/cwp2-0.9.8.765.zip
unzip -o cwp2-0.9.8.765.zip
rm -f cwp2-0.9.8.765.zip
```


**Manual update for services (This steep must be done for CentOS 6 and 7)**
```
cd /usr/local/cwpsrv/var/services/
wget static.cdn-cwp.com/files/cwp/el7/cwp-services.zip
unzip -o -q cwp-services.zip
rm -f cwp-services.zip
```

Test if all is ok, it should run update without errors
```
sh /scripts/update_cwp
```

If you get error like:
> Cannot load the ionCube PHP Loader - it was built with configuration API320151012,NTS, whereas running engine is API320170718,NTS

then run this:

```
sed -i "s/ioncube_loader_lin_7.0/ioncube_loader_lin_7.2/g" /usr/local/cwp/php71/php.ini
sh /scripts/restart_cwpsrv
Google Hangouts:  rcschaff82@gmail.com

Offline
*
That fixed it for me! Thanks!

Offline
*
Hi,

I followed your instruction, but I'm seeing error related to cron and also 500 error on the admin panel. Any suggestion?


Code: [Select]
[root@s1 ~]# sh /scripts/update_cwp
Cannot load the ionCube PHP Loader - it was built with configuration API320151012,NTS, whereas running engine is API320170718,NTS
No Loader is installed, please try to run this command or contact support: sh /scripts/update_ioncube restart[root@s1 ~]#
[root@s1 ~]# sed -i "s/ioncube_loader_lin_7.0/ioncube_loader_lin_7.2/g" /usr/local/cwp/php71/php.ini
[root@s1 ~]# sh /scripts/restart_cwpsrv
Stopping cwpsrv:                                           [  OK  ]
Starting cwpsrv: cwpsrv: [warn] he "ssl" directive is deprecated, use the "listen ... ssl" directive instead in /usr/local/cwpsrv/conf.d/api.conf:8
                                                           [  OK  ]
Stopping cwpsrv-phpfpm:                                    [  OK  ]
Starting cwpsrv-phpfpm:                                    [  OK  ]
Stopping cwp-phpfpm:                                       [  OK  ]
Starting cwp-phpfpm:                                       [  OK  ]
[root@s1 ~]#
[root@s1 ~]# sh /scripts/update_cwp
PHP Fatal error:  The file /usr/local/cwpsrv/htdocs/resources/admin/include/cron.php was encoded by the ionCube Encoder for PHP 5.6 and cannot run under PHP 7.1 or later.
 Please ask the provider of the script to provide a version encoded with the ionCube Encoder for PHP 7.1. in Unknown on line 0
[root@s1 ~]#